#ifndef TIMECOUNTERUTIL_H
#define TIMECOUNTERUTIL_H

#include <QObject>
#include <QTimer>
#include <QDateTime>

class TimeCounterUtil : public QObject
{
public:

    ~TimeCounterUtil() {
        delete  clockTimer;
    };
    TimeCounterUtil(const TimeCounterUtil&)=delete;
    TimeCounterUtil& operator=(const TimeCounterUtil&)=delete;

    static TimeCounterUtil& getInstance() {
        static TimeCounterUtil instance;
        return instance;
    }

    QTimer * clockTimer;

private:
    TimeCounterUtil() {
        clockTimer = new QTimer();
    };

};

#endif // TIMECOUNTERUTIL_H
